FVWMGTKDEBUG(1)

NAME
FvwmGtkDebug - graphical interactive FVWM module debugger

SYNOPSIS
FvwmGtkDebug should be spawned by fvwm(1).

To run this module, place this command somewhere in the configuration:

    Module FvwmGtkDebug

To stop this module, just close the GUI window, the usual KillModule works too.

You may also run this application in the dummy mode from the command line, but this only shows the GUI with dummy event data and not the real data.

DESCRIPTION
This module monitors all fvwm event information and shows it nicely in the interactive gtk+ application. Good for debugging purposes.

INVOCATION
There are several command line switches:

FvwmGtkDebug [ --mask mask ] [ --xmask mask ] [ --debug level ]

Long switches may be abbreviated to shorter switches.

-m|--mask mask - set the initial module mask, 31 bit integer. This mask may be changed interactively at any time. By default almost all events are monitored (except for some flood events like CONFIGURE_WINDOW or FOCUS_WINDOW. The special value of -1 sets the maximal mask.

-x|--xmask mask - set the initial module extended mask, 31 bit integer. This mask may be changed interactively at any time. By default almost all events are monitored (except for some flood events like ENTER_WINDOW or LEAVE_WINDOW. The special value of -1 sets the maximal extended mask.

-d|--debug level - use the Perl library debugging mechanism. The useful levels are 2 to 4.

SEE ALSO
See also FvwmDebug.

AUTHOR
Mikhael Goikhman <migo@homemail.com>.